package Action;

import IHM.WorkingImage;
import Window.Interface;

import javax.swing.*;
import java.awt.event.ActionEvent;

public class ActionReloadPlugin extends AbstractAction {

    public ActionReloadPlugin(String text, String desc, Integer mnemonic) {
        super(text);
        putValue(SHORT_DESCRIPTION, desc);
        putValue(Action.MNEMONIC_KEY, mnemonic);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        Interface.getInstance().setMenuBar();
        Interface.getInstance().showWindow();
    }
}